Backpropagate Observables
curl --request POST \
--url 'https://api.example.com/circuits/{circuit_id}/backpropagate_observables?HAIQU_API_KEY=' \
--header 'Content-Type: application/json' \
--data '
{
"circuit_id": "<string>",
"observables": [
[
[
"<string>",
123,
123
]
]
],
"max_qwc_groups": 123,
"max_error_total": 123,
"max_error_per_slice": 123
}
'import requests
url = "https://api.example.com/circuits/{circuit_id}/backpropagate_observables?HAIQU_API_KEY="
payload = {
"circuit_id": "<string>",
"observables": [[["<string>", 123, 123]]],
"max_qwc_groups": 123,
"max_error_total": 123,
"max_error_per_slice": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
circuit_id: '<string>',
observables: [[['<string>', 123, 123]]],
max_qwc_groups: 123,
max_error_total: 123,
max_error_per_slice: 123
})
};
fetch('https://api.example.com/circuits/{circuit_id}/backpropagate_observables?HAIQU_API_KEY=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Backpropagate Observables
Submit a job to backpropagate observables through the circuit.
Args: circuit_id (str): ID of the circuit. user (User): User authenticated with api key. data (SubmitObservableBackpropagationModel): Observables to backpropagate.
Returns: Response: 200 if OK, 404 if no such circuit exists.
POST
/
circuits
/
{circuit_id}
/
backpropagate_observables
Backpropagate Observables
Authorizations
APIKeyQueryAPIKeyHeader
Path Parameters
Body
application/json
Response
Successful Response
⌘I